> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile



## OpenAPI

````yaml /swagger/openapi.json get /profiles/{profile_id}
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.funnelfox.io/public/v1
security: []
paths:
  /profiles/{profile_id}:
    get:
      summary: Get Profile
      operationId: ProfileGet
      parameters:
        - in: header
          name: Fox-Secret
          required: true
          description: Project Secret Key
          schema:
            type: string
            example: secret_
        - in: path
          name: profile_id
          required: true
          description: Profile ID
          schema:
            type: string
      responses:
        '200':
          description: Profile
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - created_at
                  - funnel_id
                  - preview
                  - integrations
                properties:
                  id:
                    type: string
                    x-go-name: ID
                  created_at:
                    type: integer
                    format: int64
                    description: UNIX timestamp in seconds
                    example: 1716672462
                  email:
                    type: string
                  funnel_id:
                    type: string
                    x-go-name: FunnelID
                  preview:
                    type: boolean
                  integrations:
                    type: object
                    properties:
                      adapty:
                        type: object
                        required:
                          - entitlement
                          - user_id
                        properties:
                          entitlement:
                            description: Access level bound to profile
                            type: string
                          user_id:
                            description: Custom User ID
                            type: string
                            x-go-name: UserID
                      revenue_cat:
                        type: object
                        required:
                          - entitlement
                          - user_id
                        properties:
                          entitlement:
                            description: Entitlement bound to profile
                            type: string
                          user_id:
                            description: Custom User ID
                            type: string
                            x-go-name: UserID
        '400':
          description: Request error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string

````